# Uses of Interface
org.eclipse.jdt.core.util.IRequiresInfo

Packages that use IRequiresInfo
Package
Description
org.eclipse.jdt.core.util
Provides a set of tools and utilities for manipulating .class files and Java model elements.

## Uses of IRequiresInfo in org.eclipse.jdt.core.util

Methods in org.eclipse.jdt.core.util that return IRequiresInfo
Modifier and Type
Method
Description
`IRequiresInfo[]`
IModuleAttribute.`getRequiresInfo()`
Answer back the array of requires infos of the .class file, an empty array if none.